package com.fjhx.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.production.ProductionWorkshop;
import com.fjhx.params.production.ProductionWorkshopEx;
import com.fjhx.params.production.ProductionWorkshopVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 生产车间 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-13
 */
public interface ProductionWorkshopService extends BaseService<ProductionWorkshop> {

    Page<ProductionWorkshopEx> getPage(Map<String, String> condition);

    void add(ProductionWorkshopVo productionWorkshopVo);

    void edit(ProductionWorkshopVo productionWorkshopVo);

    void delete(ProductionWorkshopVo productionWorkshopVo);

    List<ProductionWorkshop> getList();

}
